#!/bin/bash

. wvtest.sh

[[ $OMK_RULES != "linux" ]] && exit 0

cat > Makefile.omk <<EOF
bin_SCRIPTS = scripta scriptb
EOF

echo a > scripta
echo b > scriptb

omkize

WVPASS make

WVPASS cmp scripta _compiled/bin/scripta
WVPASS cmp scriptb _compiled/bin/scriptb

# make sure that implicit built-in default rules didn't try to rebuild
# scripta from scripta.c
WVPASS touch scripta.c
WVPASS make COMMENT="do not attempt to compile stripta.c"
WVPASS cmp scripta _compiled/bin/scripta
